# class RTPDejitter | Dejitter buffer for incoming data packets. More...
Full name | `TelEngine::RTPDejitter`
Definition | `#include <libs/yrtp/yatertp.h>`
Inherits | TelEngine::RTPProcessor [public ]
List of all Methods
Annotated List
Files
Globals
Hierarchy
Index

#### Public Methods

- RTPDejitter (RTPReceiver* receiver, unsigned int mindelay, unsigned int maxdelay)
- virtual ~RTPDejitter ()
- virtual bool rtpRecv (bool marker, int payload, unsigned int timestamp, const void* data, int len)
- void clear ()

#### Protected Methods

- virtual void timerTick (const Time& when)

## Detailed Description

A dejitter buffer that can be inserted in the receive data path to absorb variations in packet arrival time. Incoming packets are stored and forwarded at fixed intervals.

RTPDejitter (RTPReceiver* receiver, unsigned int mindelay, unsigned int maxdelay) | ### RTPDejitter

Constructor of a new jitter attenuator

Parameters:

receiver | RTP receiver which gets the delayed packets
mindelay | Minimum length of the dejitter buffer in microseconds
maxdelay | Maximum length of the dejitter buffer in microseconds

~RTPDejitter () | ### ~RTPDejitter

[virtual]

Destructor - drops the packets and shows statistics

bool rtpRecv (bool marker, int payload, unsigned int timestamp, const void* data, int len) | ### rtpRecv

[virtual]

Process and store one RTP data packet

Parameters:

marker | True if the marker bit is set in data packet
payload | Payload number
timestamp | Sampling instant of the packet data
data | Pointer to data block to process
len | Length of the data block in bytes

Returns: True if the data packet was queued

void clear () | ### clear

Clear the delayed packets queue and all variables

void timerTick (const Time& when) | ### timerTick

[protected virtual]

Method called periodically to keep the data flowing

Parameters:

when | Time to use as base in all computing

Reimplemented from RTPProcessor.

Generated by: paulc on bussard on Mon Feb 10 13:15:47 2014, using kdoc 2.0a54.